"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const platforms = __importStar(require("./Platforms"));
function isValidProjectName(directory) {
    if (directory && !/^[0-9a-zA-Z-_]+$/.test(directory)) {
        console.log('Please use a valid folder name.');
        return false;
    }
    return true;
}
exports.isValidProjectName = isValidProjectName;
function isValidTemplate(template) {
    if (template && !/^[0-9a-zA-Z-/_]+$/.test(template)) {
        console.log('Please use a valid template name.');
        return false;
    }
    return true;
}
exports.isValidTemplate = isValidTemplate;
function isValidLocale(locale) {
    if (locale && !/^[a-z]{2}-?([A-Z]{2})?$/.test(locale)) {
        console.log('Please use a valid locale: e.g. en-US, de-DE, en-GB');
        return false;
    }
    return true;
}
exports.isValidLocale = isValidLocale;
function isValidPlatform(platform) {
    const platformNames = platforms.getAllAvailable();
    if (platform && !platformNames.includes(platform)) {
        console.log(`Please use a valid platform: (${platformNames.join('|')})`);
        return false;
    }
    return true;
}
exports.isValidPlatform = isValidPlatform;
//# sourceMappingURL=Validators.js.map